%define name	dirmngr
%define version 0.4.4
%define release 7mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Temporary project to work on GnuPG extensions
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.4.4-fix-info-entry.patch.bz2
License: 	GPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Url: 		http://www.gnupg.org/
BuildRequires:  libgcrypt-devel >= 1.1.10
BuildRequires:  libksba-devel
BuildRequires:  db2-devel
Buildrequires:	libldap-devel

%description 
Dirmngr is a client for managing and downloading certificate revocation
lists (CRLs) for X509 certificates and for downloading the certificates
themselves. Dirmngr is usually invoked by gpgsm and in general not used
directly.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%_install_info %name.info

%preun 
%_remove_install_info %name.info

%files
%defattr(-,root,root)
%doc README README-alpha ChangeLog NEWS 
%{_bindir}/*
%{_infodir}/*.info*

%changelog
* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.4.4-7mdk
- fix description (John Keller <jkeller@matchbox.fr>)

* Sun Sep 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-6mdk
- fix install-info usage

* Sat Sep 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-5mdk
- fix info enty (#3691)

* Fri Sep 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.4.4-4mdk
- cleaned buildrequires
- no need to call ldconfig in %%post, there is no lib here
- don't include non-build doc

* Fri Aug 08 2003 Buhcan Milne <bgmilne@linux-mandrake.com> 0.4.4-3mdk
- Rebuild to lose libsasl7 dependency
- Don't ship tests for now (includes binary oobjects, hidden files etc)

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-2mdk
- adjust buildrequires

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-1mdk
- Update from <fabrice-marie-sec@ifrance.com> spec file 

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.2-1mdk
- first package

